> For the complete documentation index, see [llms.txt](https://docs.fuksus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fuksus.com/fuksus-houserobberies/configuration/functions.md).

# Functions

You can change notification and help text drawing here.

{% code title="Client side" %}

```javascript
functions = {}

functions.showNotification = function(type, message)
    SetNotificationTextEntry('STRING')
    AddTextComponentString(message)
    DrawNotification(type, false)
end

functions.displayHelpText(text)
    AddTextEntry('helpText', text)
    DisplayHelpTextThisFrame('helpText', false)
end
```

{% endcode %}

{% code title="Server side" %}

```
functions = {}
-- You can set your sound resource here
functions.playSound = function(source, coords)
    exports['ultra-3dsound']:playSound(source,'./burgal.mp3', coords,  vec3(0,0,0))
end

functions.stopSound = function(source)
    exports['ultra-3dsound']:stopSound(source)
end
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fuksus.com/fuksus-houserobberies/configuration/functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
